{% extends "base.html" %}
{% load static thumbnail exhibitions %}

{% block extrahead %}
<script type="text/javascript" src="{% static 'js/imageframe.js' %}"></script>

<script type="text/javascript">
$(function() {
    var $menu_link = $('#main-menu a:contains(Exhibitions)').addClass('active');
    var $year_link = $('.dates-menu a[rel={{exhibition.start_date.year}}]').addClass('active');    

    {% if exhibition.images.count%}{% spaceless %}
    var images = [
        {% for image in exhibition.images.all %}
        {
            img: '{{image.filename.url}}',
            caption: '{{image.caption|urlencode}}',
            audiofile: {% if image.audiofile %}'{{image.audiofile.url}}'{% else %}null{% endif %}
        }{% if not forloop.last %},{% endif %}
        {% endfor %}
    ];
    {% endspaceless %}{% endif %}

    // Image navigation
    var hash = window.location.hash;
    i = hash ? parseInt(hash.replace('#', '')) : 0;
    if (isNaN(i)) i = 0;
    $('.main-image').ImageFrame(images, {
        fullscreen: false,
        max_width: 'container',
        max_height: 'container',
        startImage: i,
        prevButtonHTML: '<a>Previous Image</a> &nbsp;',
        nextButtonHTML: '<a>Next Image</a> ',
        show_image_count: false,
        imageControlsContainer: $('<div class="image-controls"></div>').prependTo('.image-info')
    });
});
</script>
{% endblock %}


{% block content %}
{% with exhibition.images.all as images %}
<div class="exhibition">
    <table>
        <tr>
            <td class="image-info">
                <a href="{% url 'exhibitions-exhibition-index' %}">Back to thumbnails</a>
                <div class="image-caption">{% if images %}{{images.0.caption|safe}}{% endif %}</div>
            </td>
            {% thumbnail images.0.filename "580x500" as thumb %}
            <td class="main-image">{% if images %}<a><img src="{{thumb.url}}" alt="image" /></a>{% endif %}</td>
            {% endthumbnail %}
        </tr>
    </table>

    {% if exhibition.files.count %}
    <ul class="file-list">
    {% for file in exhibition.files.all %}
        <li><a href="{{file.filename.url}}" target="_blank">{{file.title|default:file}}</a></li>
    {% endfor %}
    </ul>
    {% endif %}
</div>
{% endwith %}
{% endblock %}

